Trinity Desktop Environment R14.0.7

Címkék

KDE3 rajongóknak lehet jó hír, hogy ma megjelent a Trinity Desktop Environment R14.0.7-es kiadása. Részletek a bejelentésben.

Hozzászólások

> Added initial support for DilOS builds

Végre megint lesz Solaris support.

Kösz amúgy a hírt, le is frissítettem.

Pont a napokban emlegettem fel a kedvenc DE szavazáson hogy alig mozgolódik, erre meg... 

Amúgy jó cucc, reszponzív, 100% retro élmény. Kedvenc DE-m volt anno.

Ja értem. Nekem UHU 1.0-val indult, de a DE, az ugyanúgy KDE3 volt. Ez utóbbi azóta sem változott; párszor volt egy pár hetes vargabetű, amikor ismerkedtem más környezetekkel, de a KDE3 után vagy túl fapad/kevéssé konfigurálható, vagy túl lassú volt nekem. (A KDE3 egyébként már a 2003-2004-ben használt 1 GHz-es P3-as Abit VH6-II gépemen is meglepően fürge volt.)

De mitől retro? :)

Ezen a fórumon fősodratú minimum leszólni azokat a projekteket, amik nem rohannak előre a semmibe (csiligány, egyre silányabb felhasználói felületek és egyre gyérebb funkcionalitás majmolása), illetve nem igényelnek minden major release után +1 magot és +1 GB memóriát a korábbihoz képest azonos sebességű működéshez. A Trinity DE azért érdekes eset, mert itt fejlődésmániáséknak egy fokkal nehezebb dolguk van, hiszen a klasszikus mantrák, miszerint "deprecated", "end of life", "legacy", "nem támogatott, vigyázz, jönnek a vírusok és a hackerek" közhelyek nem működnek, lévén, hogy egy élő és támogatott projektről van szó. :)

Csak egy dolog fősodratú itt, leszólni az elavult szoftverek használatát. A Trinity egyértelműen nem tartozik ebbe a körbe. Bár azt nem tudom, hogy a Qt4-5 és Gtk2-3-sd -sprogramok integrációjával hogy áll. Lehet boldogul ezekkel is, nem próbáltam még.

“I didn’t start using Linux so I could have friends.” (Luke Smith, 2019) 🐧

Mit értünk integráció alatt? Azt, hogy futnak-e alatta a más toolkites programok? Hogyne futnának. Azt, hogy van hozzá wrapper, amivel a más toolkites programok ugyanúgy néznek ki, mint a Trinity-sek? Részben. A GTK2-es programok wrappere közel 100%-ig tökéletesen működik. (Pár apróbb bug van, de lehet velük együtt élni.) A GTK3-as wrappert nem tudom, hogy hogy áll, utoljára elég gyászos állapotban volt, de ez nem a TDE csapat hibája, hanem a GTK3-é, mert annak a bloatware-nek hetente variálják át az API-ját. Kerülendő amúgy is. A Qt-s cuccokhoz nincs wrapper, viszont a Qt-s cuccokat be lehet állítani, hogy ugyanúgy nézzenek ki, mint a Trinity, hiszen az is Qt-s, csak Qt3-as TQt-s.

Na ja. :)
Ez csak gyorsulni szokott. Maximum bugokat raknak bele néha. :/
Régen amúgy rengeteg köpködést kapott a projekt, hogy semeddig sem fog tartani, meg ezt csak KDE4 haterek csinálják, stb. Aztán láss csodát, ez még mindig megy, a KDE4-et meg közben befejezték. Mik vannak... :)))

Én meg azt mondom, hogy neki az, de objektív mércével még akár modernnek is tekinthető. Ez a szép a unix-like rendszerekben, hogy bármilyen régi felület is használható maradt rajtuk, és van bőven választék, hogy az ember milyen felületet használ.

“I didn’t start using Linux so I could have friends.” (Luke Smith, 2019) 🐧